*** a/src/backend/replication/walreceiver.c
--- b/src/backend/replication/walreceiver.c
***************
*** 524,530 **** XLogWalRcvFlush(void)
  	{
  		/* use volatile pointer to prevent code rearrangement */
  		volatile WalRcvData *walrcv = WalRcv;
- 		char		activitymsg[50];
  
  		issue_xlog_fsync(recvFile, recvId, recvSeg);
  
--- 524,529 ----
***************
*** 536,543 **** XLogWalRcvFlush(void)
  		SpinLockRelease(&walrcv->mutex);
  
  		/* Report XLOG streaming progress in PS display */
! 		snprintf(activitymsg, sizeof(activitymsg), "streaming %X/%X",
! 				 LogstreamResult.Write.xlogid, LogstreamResult.Write.xrecoff);
! 		set_ps_display(activitymsg, false);
  	}
  }
--- 535,547 ----
  		SpinLockRelease(&walrcv->mutex);
  
  		/* Report XLOG streaming progress in PS display */
! 		if (update_process_title)
! 		{
! 			char		activitymsg[50];
! 
! 			snprintf(activitymsg, sizeof(activitymsg), "streaming %X/%X",
! 					 LogstreamResult.Write.xlogid, LogstreamResult.Write.xrecoff);
! 			set_ps_display(activitymsg, false);
! 		}
  	}
  }
